<?php
/*
Template Name: BlueQ Wordpress Theme Toolkit Functions (Do Not Edit)
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

/************************************************************************************
 * THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
 ************************************************************************************/

include(dirname(__FILE__).'/themetoolkit.php');

themetoolkit(
	'BlueQ', 
	
	array(     

	'about' => 'About You {textarea|6|50} ## Enter your brief about text. This will appear on the sidebar. A blank entry will disable the Author on the Sidebar.',
	'asides' => 'Asides Category ## Assign your asides category name here. Leave it blank for no asides support.',
	'floatq' => 'Float the Q {radio|yes|Yes|no|No} ## Chose whether or not to show my Q in the upper-left corner.',
	'socialnetwork' => 'Display Social Networking/Bookmarking {radio|yes|Yes|no|No} ## Choose to show Social Networking service links to the right of the post in Single Post pages.',
	'headernav_pages' => 'Show SubPages in Header Nav {radio|yes|Yes|no|No} ## Do you want subpages to show up in the header navigation area?',
	'sidebar_pages' => 'Show Pages/SubPages in the Sidebar {radio|yes|Yes|no|No} ## Do you want Pages / Subpages to show up in the sidebar?',
	'sidebar_pages_title' => 'Title for Sidebar Pages ## Assign a title for your Sidebar Pages. Dependent on previous setting.',

	),
	__FILE__	 /* Parent. DO NOT MODIFY THIS LINE !
			  * This is used to check which file (and thus theme) is calling
			  * the function (useful when another theme with a Theme Toolkit
			  * was installed before */
);
	

function about() {
	global $BlueQ;
	$AboutTxt = $BlueQ->option['about'];
	if (!$AboutTxt == '') { 
		print '<h2>Author</h2><p>' . $AboutTxt . '</p>'; }
}

function asides_hack($str) { return preg_replace('|</ul>s*<ul class="asides">|', '', $str); }

function use_asides() { 
	global $BlueQ; 
	$categories = array (); 
	foreach((get_the_category()) as $cat) { 
		$categories[] = $cat->cat_name; 
	} 
	if (in_array($BlueQ->option['asides'],$categories)) { 
		return true; 
	} else { 
		return false;
	 } 
}

function floatimg() {
	global $BlueQ;
	$show_floatimg = $BlueQ->option['floatq'];
	if ( $show_floatimg == "yes" ) {
		print "<div id=\"headerimg\" onclick=\"location.href='http://www.tquizzle.com/';\"></div>";
	} 

}

function social_links() {
	global $BlueQ, $show_social_links;
	$show_social_links = $BlueQ->option['socialnetwork'];
}

function show_blueq_credit() {
	print "<div class=\"right\"><p><a href=\"http://www.tquizzle.com/wordpress/themes/\">BlueQ</a> Theme Design by <a href=\"http://www.tquizzle.com\">Travis Quinnelly</a>.</p></div>";
}

function headernav_pages() {
	global $BlueQ;
	$is_headernav_pages = $BlueQ->option['headernav_pages'];
	print "<ul>";
	if ( $is_headernav_pages == "yes" ) {
		wp_list_pages('title_li=');
	}
	else {
		wp_list_pages('title_li=&depth=-1');
	}
	print "</ul>";
}

function sidebar_pages() {
	global $BlueQ;
	$is_sidebar_pages = $BlueQ->option['sidebar_pages'];
	$sidebar_pages_title = $BlueQ->option['sidebar_pages_title'];
	if ( $is_sidebar_pages == "yes" ) {
	print "<h2>" . $sidebar_pages_title . "</h2><ul>";
	wp_list_pages('title_li=');
	print "</ul>";
	}
}

/* Set default values upon theme install */ 
if (!$BlueQ->is_installed()) { 
	$set_defaults['asides'] = ''; 
	$set_defaults['about'] = "I haven't written anything about myself yet. Maybe I'll get to that soon.";
	$set_default['floatq'] = 'yes';
	$set_default['socialnetwork'] = 'no';
	$set_default['headernav_pages'] = 'no';
	$set_default['sidebar_pages'] = 'no';
	$set_default['sidebar_pages_title'] = 'Pages';
	$result = $BlueQ->store_options($set_defaults); 
}

?>